=== plasma/CMakeLists.txt ===
add_subdirectory(dataengine)
add_subdirectory(applet)
