=== debian/changelog ===
ktorrent (5.2.0-2) unstable; urgency=medium

  * Team upload.
  * Backport upstream commit f4c1c91d9b091941ebb4dae6aef95bcf9bc1c388 to fix
    the cmake search and use of taglib; patch
    upstream_Update-FindTaglib-from-ECM.patch (Closes: #973223)
  * Fix day-of-week for changelog entry 1.1-1.
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Add the configuration for the CI on salsa.
  * Explicitly add the pkg-config build dependency.

 -- Pino Toscano <pino@debian.org>  Sat, 07 Nov 2020 10:52:19 +0100

ktorrent (5.2.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - disables the logging by default (Closes: #875898)
  * Drop the Debian man pages, as they are outdated, and they offer no useful
    information.
  * Update the build dependencies according to the upstream build system:
    - bump libktorrent to 2.2.0
    - add qtwebengine5-dev (only where available)
    - remove libkf5webkit-dev, no more used
    - explicitly add gettext
  * Bump the debhelper compatibility to 13:
    - switch the debhelper build dependency to debhelper-compat 13
    - remove debian/compat
    - stop passing --fail-missing to dh_missing, as it is the default now
  * Add Rules-Requires-Root: no.
  * Bump Standards-Version to 4.5.0, no changes required.
  * Update install files.

 -- Pino Toscano <pino@debian.org>  Fri, 07 Aug 2020 17:03:36 +0200
