## ktorrent 20.12.3

=== debian/changelog ===
ktorrent (20.12.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Mar 2021 15:26:18 +0000

ktorrent (20.12.2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Feb 2021 09:59:33 +0000

ktorrent (20.12.1-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 20 Jan 2021 23:13:31 +0000

ktorrent (20.12.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.0)
  * Drop included upstream_Update-FindTaglib-from-ECM.patch

 -- Rik Mills <rikmills@kde.org>  Fri, 11 Dec 2020 14:32:47 +0000
