=== debian/control ===
--- 
+++ 
@@ -3,41 +3,46 @@
 Priority: optional
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Modestas Vainius <modax@debian.org>
-Build-Depends: cmake (>= 2.8.12), debhelper-compat (= 13), pkg-kde-tools (>= 0.15.16),
- gettext,
- pkg-config,
- extra-cmake-modules,
- qtbase5-dev (>= 5.7.0),
- qtscript5-dev (>= 5.7.0),
- qtwebengine5-dev (>= 5.7.0) [amd64 arm64 armhf i386 mipsel],
- libphonon4qt5-dev, libphonon4qt5experimental-dev,
- libkf5archive-dev (>= 5.15),
- libkf5completion-dev (>= 5.15),
- libkf5config-dev (>= 5.15),
- libkf5configwidgets-dev (>= 5.15),
- libkf5coreaddons-dev (>= 5.15),
- libkf5crash-dev (>= 5.15),
- libkf5dbusaddons-dev (>= 5.15),
- libkf5dnssd-dev (>= 5.15),
- libkf5doctools-dev (>= 5.15),
- libkf5i18n-dev (>= 5.15),
- libkf5iconthemes-dev (>= 5.15),
- libkf5kio-dev (>= 5.15),
- libkf5itemviews-dev (>= 5.15),
- libkf5notifications-dev (>= 5.15),
- libkf5notifyconfig-dev (>= 5.15),
- libkf5kcmutils-dev (>= 5.15),
- libkf5parts-dev (>= 5.15),
- libkf5plotting-dev (>= 5.15),
- libkf5solid-dev (>= 5.15),
- libkf5textwidgets-dev (>= 5.15),
- libkf5widgetsaddons-dev (>= 5.15),
- libkf5windowsystem-dev (>= 5.15),
- libkf5xmlgui-dev (>= 5.15),
- kross-dev (>= 5.15),
- libkf5syndication-dev,
- libboost-dev,
- libktorrent-dev (>= 2.2.0~), libtag1-dev, libgeoip-dev,
+Build-Depends: cmake (>= 2.8.12),
+               debhelper-compat (= 13),
+               extra-cmake-modules,
+               gettext,
+               kross-dev (>= 5.15),
+               libboost-dev,
+               libgeoip-dev,
+               libkf5archive-dev (>= 5.15),
+               libkf5completion-dev (>= 5.15),
+               libkf5config-dev (>= 5.15),
+               libkf5configwidgets-dev (>= 5.15),
+               libkf5coreaddons-dev (>= 5.15),
+               libkf5crash-dev (>= 5.15),
+               libkf5dbusaddons-dev (>= 5.15),
+               libkf5dnssd-dev (>= 5.15),
+               libkf5doctools-dev (>= 5.15),
+               libkf5i18n-dev (>= 5.15),
+               libkf5iconthemes-dev (>= 5.15),
+               libkf5itemviews-dev (>= 5.15),
+               libkf5kcmutils-dev (>= 5.15),
+               libkf5kio-dev (>= 5.15),
+               libkf5notifications-dev (>= 5.15),
+               libkf5notifyconfig-dev (>= 5.15),
+               libkf5parts-dev (>= 5.15),
+               libkf5plotting-dev (>= 5.15),
+               libkf5solid-dev (>= 5.15),
+               libkf5syndication-dev,
+               libkf5textwidgets-dev (>= 5.15),
+               libkf5widgetsaddons-dev (>= 5.15),
+               libkf5windowsystem-dev (>= 5.15),
+               libkf5xmlgui-dev (>= 5.15),
+               libktorrent-dev (>= 20.12.3~),
+               libphonon4qt5-dev,
+               libphonon4qt5experimental-dev,
+               libtag1-dev,
+               pkg-config,
+               pkg-kde-tools (>= 0.15.16),
+               qtbase5-dev (>= 5.7.0),
+               qtscript5-dev (>= 5.7.0),
+               qtwebengine5-dev (>= 5.7.0) [amd64 arm64 armhf i386 mipsel],
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://www.kde.org/applications/internet/ktorrent/
