=== debian/control ===
--- 
+++ 
@@ -34,7 +34,7 @@
                libkf5widgetsaddons-dev (>= 5.15),
                libkf5windowsystem-dev (>= 5.15),
                libkf5xmlgui-dev (>= 5.15),
-               libktorrent-dev (>= 20.12.3~),
+               libktorrent-dev (>= 21.08.1~),
                libphonon4qt5-dev,
                libphonon4qt5experimental-dev,
                libtag1-dev,
